<template>
  <div>
    {{reaData.job_title}}
  </div>
</template>

<script>
import axios from 'axios'

export default {
  name: 'JobIndex',

  async asyncData({route}) {
    const {id} = route.params

    return await axios
      .get(`https://api.way2work.ee/api/jobseeker/matching-job/${id}`)
      .then((response) => {
        return { reaData: response.data.data }
      })
      .catch((error) => {
        console.log(error.response.data)
      })
  },

  head() {
    return {
      title: this.reaData.job_title,
      meta: [
        {
          hid: 'title',
          name: 'title',
          content: this.reaData.job_title,
        },
        {
          hid: 'description',
          name: 'description',
          content: this.reaData.job_description,
        },
        {
          property: 'og:title',
          content: this.reaData.job_title,
        },
        {
          property: 'og:description',
          content: this.reaData.job_description,
        },
        {
          property: 'og:image',
          content: this.reaData.company?.file_path,
        },
        {
          property: 'og:image:url',
          content: this.reaData.company?.file_path,
        },
        {
          property: 'og:url',
          content: `http://134.213.212.195:3002/${this.$route.params.id}/${this.$route.params.slug}`,
        },
        {
          property: 'twitter:title',
          content: this.reaData.job_title,
        },
        {
          property: 'twitter:description',
          content: this.reaData.job_description,
        },
        {
          property: 'twitter:image',
          content: this.reaData.company?.file_path,
        },
      ],
    }
  },

  mounted() {
    window.location.href = `https://way.way2work.ee/project-market/${this.$route.params.id}/${this.$route.params.slug}`
  }
}
</script>

<style lang="scss" scoped>
</style>